## Usage

HTTP Utils is a JavaScript library for making HTTP requests. It provides a set of functions for making GET, POST, PUT, and DELETE requests, as well as for handling errors and parsing response data.

To use HTTP Utils in your JavaScript code, you need to require it:

### HTTP Requests

The following functions are available for making HTTP requests:

● get(url, params): Sends a GET request to the specified url with the given params. Returns a Promise that resolves with the response data.<br>
● post(url, data): Sends a POST request to the specified url with the given data. Returns a Promise that resolves with the response data.<br>
● put(url, data): Sends a PUT request to the specified url with the given data. Returns a Promise that resolves with the response data.<br>
● del(url): Sends a DELETE request to the specified url. Returns a Promise that resolves with the response data.
